Loading...
Searching...
No Matches
field_concat< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::field_concat< T, M >

Definition at line 68 of file field_concat.h.

## Public Types

typedef field_basic< T, M >::size_type | size_type
typedef field_concat_value< T, M > | value_type
typedef std::initializer_list< value_type >::const_iterator | const_iterator

## Public Member Functions

| field_concat ()
| field_concat (const std::initializer_list< value_type > &il)
field_basic< T, M > | build_field () const

## Protected Attributes

std::list< value_type > | _l

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef field_basic<T,M>::size_type size_type

Definition at line 73 of file field_concat.h.

## value_type

template<class T , class M >

typedef field_concat_value<T,M> value_type

Definition at line 74 of file field_concat.h.

## const_iterator

template<class T , class M >

typedef std::initializer_list<value_type>::const_iterator const_iterator

Definition at line 75 of file field_concat.h.

## Constructor & Destructor Documentation

## field_concat() [1/2]

template<class T , class M >

field_concat | ( |  | ) |

Definition at line 79 of file field_concat.h.

## field_concat() [2/2]

template<class T , class M >

field_concat | ( | const std::initializer_list< value_type > & | il | ) |

Definition at line 81 of file field_concat.h.

## Member Function Documentation

## build_field()

template<class T , class M >

field_basic< T, M > build_field | ( |  | ) | const

Definition at line 33 of file field_concat.cc.

## Member Data Documentation

## _l

template<class T , class M >

std::list<value_type> _l

protected

Definition at line 97 of file field_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_concat.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_concat.cc